Page MenuHomePhabricator

Links in footnote preview open in a new tab
Closed, ResolvedPublic3 Story Points

Description

Motivation
Users should be able to immediately access the sources linked in references. However, they should be able to stay on the article they are currently reading, as well.

Acceptance Criteria

  • Links that are part of the footnote, when clicked, open in a new tab
  • This does not include the "jump to reference" link (as it is not part of the footnote)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 11:57 AM
Lea_WMDE triaged this task as Normal priority.Jan 16 2019, 2:45 PM
Lea_WMDE set the point value for this task to 3.
Lea_WMDE moved this task from In preparation to Ready for pickup on the Reference Previews board.
thiemowmde moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-01-23 board.

Change 486289 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Open all links in a reference preview's content in new tabs

https://gerrit.wikimedia.org/r/486289

Change 486137 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add QUnit tests for all new reference preview code

https://gerrit.wikimedia.org/r/486137

Change 486293 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add QUnit test for reference preview renderer

https://gerrit.wikimedia.org/r/486293

Change 486297 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add test for opening reference preview links in new tabs

https://gerrit.wikimedia.org/r/486297

Links that are part of the footnote, when clicked, open in a new tab

I'm not objecting to this requirement but rather asking about it. Is this a change in behavior from the way references work today? For me personally, I usually control or middle-click when a new tab is wanted. If this is a change, do want to introduce it as part of the initial reference previews deployment? If it was separate, it could be A/B tested. I don't have any strong opinions but wanted to ask to understand the thinking behind the requirement.

Is this a change in behavior from the way references work today? For me personally, I usually control or middle-click when a new tab is wanted. […]

  • This will not change the existing page previews.
  • The text snippets (extracts) in a page preview never contain links.
  • We figured it would be confusing that clicking a link in a popup window does not only have an effect on this popup window, but replaces the entire page with a different, typically external one.
  • The references at the bottom of the page are still part of the page, presented and perceived like that. Links open in the same tab. But the popup window is, well, a window that is presented as something separate from the page.
  • We want to try this out. It might turn out we want to undo this after we gathered enough user feedback.

I hope this helps.

Change 486137 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add QUnit tests for most new reference preview code

https://gerrit.wikimedia.org/r/486137

Change 486293 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add QUnit test for reference preview renderer

https://gerrit.wikimedia.org/r/486293

Change 486297 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add test for opening reference preview links in new tabs

https://gerrit.wikimedia.org/r/486297

Change 486289 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Open all links in a reference preview's content in new tabs

https://gerrit.wikimedia.org/r/486289

Change 486718 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Inline code setting target="_blank" in renderReferencePreview()

https://gerrit.wikimedia.org/r/486718

Lea_WMDE closed this task as Resolved.Jan 30 2019, 4:21 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-01-23 board.

Change 486718 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Inline code setting target="_blank" in renderReferencePreview()

https://gerrit.wikimedia.org/r/486718